> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refunds

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /refunds
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /refunds:
    get:
      summary: List Refunds
      operationId: list-refunds
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
        - in: query
          name: since
          schema:
            type: string
            default: '2026-01-01T00:00:00.000Z'
          description: Filters refunds created on or after this date
        - in: query
          name: until
          schema:
            type: string
            default: '2026-02-01T00:00:00.000Z'
          description: Filters refunds created before this date.
        - in: query
          name: status
          schema:
            type: string
            default: succeeded
            enum:
              - pending
              - succeeded
              - failed
              - rejected
          description: Filters refunds by their current status.
        - name: per_page
          in: query
          description: >-
            Amount of refunds per page. Defaults to 30. The maximum amount is
            300.
          schema:
            type: integer
            format: int32
        - name: page
          in: query
          description: The page being retrieved by the endpoint. Starts from 1.
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````